Batches: Bimp API methods
Bimp API methods for the “Batches” resource (/org2/party/…): 3 methods. Base URL: https://app.bimpsoft.com. All requests except login pass the company token in the access-token header — see Getting started with the API.
| Method | What it does |
|---|---|
POST /org2/party/api-readList | A request to view a list of parties for the specified nomenclature GUID |
POST /org2/party/api-read | A request to obtain detailed information for a party |
POST /org2/party/api-update | A request to update a party |
api-readList
POST /org2/party/api-readList
A request to view a list of parties for the specified nomenclature GUID
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
uuid | string (uuid) | yes | Nomenclature GUID for which parties should be returned |
Response: data field
| Field | Type | Description |
|---|---|---|
[].uuid | string (uuid) | |
[].name | string | |
[].archived | boolean | |
[].stockBalance | number | |
[].receiptDate | string | |
[].imei | string | |
[].comment | string | |
[].serialNumber | string | |
[].supplierName | string | |
[].quantity | number | |
[].expirationDate | string | null | |
[].costPrice | number | |
[].accountingCurrency | object | null | |
[].price | number | |
[].costPriceInCurrency | number | |
[].currency | object | null | |
[].warehouse | object | null | |
[].nomenclature | object | null | |
[].unitOfMeasurement | object | null | |
[].serialNumbers | object | null | |
[].reserve | number | |
[].characteristic | object | null |
curl -X POST 'https://app.bimpsoft.com/org2/party/api-readList' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
api-read
POST /org2/party/api-read
A request to obtain detailed information for a party
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
uuid | string (uuid) | yes | A unique uuid key of the party |
Response: data field
| Field | Type | Description |
|---|---|---|
uuid | string (uuid) | |
name | string | |
archived | boolean | |
stockBalance | number | |
receiptDate | string | |
imei | string | |
comment | string | |
serialNumber | string | |
supplierName | string | |
quantity | number | |
expirationDate | string | null | |
costPrice | number | |
accountingCurrency | object | null | |
price | number | |
costPriceInCurrency | number | |
currency | object | null | |
warehouse | object | null | |
nomenclature | object | null | |
unitOfMeasurement | object | null | |
serialNumbers | object | null | |
reserve | number | |
characteristic | object | null | |
counterparty | object | null | |
shelfLife | number | |
receiptDocument | object | null | |
barcode | string |
curl -X POST 'https://app.bimpsoft.com/org2/party/api-read' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
api-update
POST /org2/party/api-update
A request to update a party
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
uuid | string (uuid) | yes | A unique uuid key of the party |
name | string | ||
archived | boolean | ||
stockBalance | number | ||
receiptDate | string | ||
imei | string | ||
comment | string | ||
serialNumber | string | ||
supplierName | string | ||
quantity | number | ||
expirationDate | string | null | ||
costPrice | number | ||
accountingCurrency | object | null | ||
price | number | ||
costPriceInCurrency | number | ||
currency | object | null | ||
warehouse | object | null | ||
nomenclature | object | null | ||
unitOfMeasurement | object | null | ||
serialNumbers | object | null | ||
reserve | number | ||
characteristic | object | null | ||
counterparty | object | null | ||
shelfLife | number | ||
receiptDocument | object | null | ||
barcode | string |
Response: data field
| Field | Type | Description |
|---|---|---|
uuid | string (uuid) |
curl -X POST 'https://app.bimpsoft.com/org2/party/api-update' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
Interactive documentation with a test request option: https://app.bimpsoft.com/docs. The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.